reset # limpa a memória do gnuplot, evitando "problemas"

f(x)=sin(x) #define f(x) seno de x
g(x)=cos(x) #define g(x) cosseno de x

set samples 50 # altera a quantidade de pontos mostrados na tela

set zeroaxis lt -1 #inlcui os eixos vertical e horizontal y=0 e x=0
#set xtics 2 #mostra os pontos em x de 2 em 2

#set xtics -2,0.5 #mostra os pontos em x de -2 a cada 0,5

set xrange [-2:5] #usa eixo x de -2 a 5

set yrange [-1.2:1.1] #usa eixo y de -1,2 a 1,1

set ytics -1.3,0.3,1.2 #começa de -1,3, a cada 0,3, termina em 1,2

set mxtics 2 #separa a divisão do eixo x em 2

set mytics 3 #separa a divisão do eixo y em 3

set grid #mostra grade sobre a divisão principal do gráfico

set decimalsign "," #troca o símbolo do "ponto" decimal

#set key center top#coloca a legenda do gráfico no local desejado: top (cima), bottom (baixo), center (centro), left (esquerda), right (direita)

set key at 4,-0.1 #coloca a parte superior direita da legenda na posição 4,-0.1

#set format x "%3.2f" #define o eixo x com 3 casas antes de vírgula, e 2 após a vírgula

set format y "%3.1f" #3 casas antes da vírgula, e 1 depois

set term wxt enhanced

set format x "%1.1f {/Symbol p}" #o comando entre chaves mostra o símbolo desejado, normalmente letras gregas

set xtics -pi,pi/2,5 #mostra os pontos em x de -pi a cada pi/2, até o 5

set xlabel "Ângulo (rad)" font ",20" #legenda do eixo x

set ylabel "Altura (cm)" offset 2,0 font ",20" #legenda do eixo y

set title "Gráfico da aula 1" font "Times,30" offset 0,-1 #título do gráfico

set lmargin 7 #modifica o espaçamento da margem esquerda

set tmargin 2.1 #modifica o espaçamento no topo do gráfico

set rmargin 1 #modifica a margem direita, lmargin modifica a esquerda, e bmargin modifica margem inferior



#plot exp(-x**2) title "Gaussiana" lc 1 lw 1 w steps, \
#exp(-x**2) title "Gaussiana 2" lc 2 lw 1 w fsteps, \
#exp(-x**2) title "Gaussiana 3" lc 5 lw 1 w histeps, \
#x**2-1 title "Parábola x^2-1" lc 3 lt 6 lw 1 w l

#lw = line width: largura da linha
#lc = line color: cor da linha
#lt = line type: "tipo" de linha
#w d = with dots: com pontinhos
#w p = with points: com pontos
#w l = with lines: com linhas
#w steps: passos primeiro horizontal depois vertical
#w fsteps: passos primeiro vertical depois horizontal
#w histeps: divisão na metade do intervalo

set term png enhanced size 1000,800 #gera uma figura no formato png

set out "aula1.png" #nome da figura a ser criada

plot exp(-x**2) title "Gaussiana" lc 1 lw 1 w imp, \
x**2-1 title "Parábola x^2-1" lc 3 lt 6 lw 1 w boxes

#w imp = impulsos
#w boxes = caixas, do eixo horizontal até a "altura"da função

unset out #fecha arquivos abertos










