reset # limpa a memória do gnuplot, evitando "problemas"
set samples 50 # altera a quantidade de pontos mostrados na tela
set zeroaxis lt -1 #inlcui os eixos vertical e horizontal y=0 e x=0

set xrange [-5:5] #usa eixo x de -5 a 5
set yrange [-5:5] #usa eixo y de -1,2 a 1,1

set xtics -5,1 nomirror #mostra os pontos em x de -pi a cada pi/2, até o 5
set mxtics 2 #separa a divisão do eixo x em 2

set ytics -5,1 nomirror #começa de -1,3, a cada 0,3, termina em 1,2
set mytics 2 #separa a divisão do eixo y em 3

set y2tics 0,5 #começa em zero e indica pontos de 5 em 5
set my2tics 5

set decimalsign "," #troca o símbolo do "ponto" decimal

set xlabel "Ângulo (rad)" font ",20" #legenda do eixo x
set ylabel "Altura (cm)" offset 2,0 font ",20" #legenda do eixo y
set y2label "Velocidade (m/s)" offset 1,0 font ",20"

set lmargin 6

set grid

set key center top

set term png enhanced size 1000,800 #gera uma figura no formato png

set out "aula2.png" #nome da figura a ser criada

plot x axis x1y1 title "Altura" lc 1 lw 1 w l, \
     x**2 axis x1y2 title "Velocidade" lc 3 lw 1 w l

unset out #fecha arquivos abertos










